Subject: Re: bug#16059: 24.3.50; Running curses applications under term and ansi-term is broken

From: Stefan Kangas <[email-masked]>
Date: Mon, 30 Sep 2019 15:34:28 +0200

Matthew Leach <[email-masked]> writes:

> When I run curses applications (such as htop and Linux's "make
> menuconfig") in term and ansi-term the window's width appears to be
> detected incorrectly. This causes curses to emit lines that are too long
> for the window and thus Emacs spans them over more than one line. This
> quickly makes the terminal output unreadable. Note, this is a visual
> observation, I haven't looked at the code.
>
> Recipe:
>
> emacs -Q
> M-x term
> <ret>
> htop

I can't reproduce this using the recipe given.  Are you still seeing
this on a modern version of Emacs?

If I don't hear back from you in a couple of weeks, I'll just assume
this has been fixed and close this bug.

Best regards,
Stefan Kangas